> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-pt-br/api-de-operacoes-em-massa/jobs/job-create.md).

# Job Create

Create a new job. The response includes the details of the new job and the `jobId`.

Make sure the job name exactly matches the prescribed value for the operation you want to perform. If you provide any other name, the API may still accept it, but orchestration won't process it.

```json
{"openapi":"3.1.0","info":{"title":"Bulk Operations API","version":"2.0.0"},"tags":[{"name":"Jobs"}],"servers":[{"url":"https://{jobUrl}","variables":{"jobUrl":{"default":"jobs.api.example.com","description":"Base URL of the Job service (provided by Eseye)."}}}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Send `Bearer {token}`, where `{token}` is the `access_token` returned by Request a token."}}},"paths":{"/api/v2/job":{"post":{"summary":"Job Create","operationId":"job-create","tags":["Jobs"],"description":"Create a new job. The response includes the details of the new job and the `jobId`.\n\nMake sure the job name exactly matches the prescribed value for the operation you want to perform. If\nyou provide any other name, the API may still accept it, but orchestration won't process it.\n","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["name","title","portfolioId","requestFileId","jobDate"],"properties":{"name":{"type":"string","description":"The job name. Job names are predefined based on the type of job that triggers the orchestration.","enum":["ICC Package Update","ICC Portfolio Update","ICC Status Change","ICC Suspension Change","ICC Update Attribute-OrderId_OrderItemId","ICC Update Attribute-friendlyName"]},"title":{"type":"string","minLength":1,"maxLength":32,"description":"A unique title for the job. Enter 1 to 32 characters with no blank spaces."},"portfolioId":{"type":"string","description":"The ID of the portfolio the job belongs to."},"requestFileId":{"type":"string","description":"The ID of the file associated with the job. Enter the `fileId` you created and uploaded to S3."},"jobDate":{"type":"string","description":"The date and time of the job."}}}}}},"responses":{"200":{"description":"Returns the details of the new job, including the `jobId`."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-pt-br/api-de-operacoes-em-massa/jobs/job-create.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
